#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Text
%define		pnam	CharWidth
Summary:	Text::CharWidth - Get number of occupied columns of a string on terminal
Summary(pl.UTF-8):	Text::CharWidth - obliczanie liczby kolumn zajmowanych przez łańcuch na terminalu
Name:		perl-Text-CharWidth
Version:	0.04
Release:	18
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	37a723df0580c0758c0ee67b37336c15
URL:		http://search.cpan.org/dist/Text-CharWidth/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a module to provide equivalent feature as wcwidth(3) and
wcswidth(3). This also provides mblen(3) equivalent subroutine.

%description -l pl.UTF-8
Ten moduł udostępnia funkcjonalność odpowiadającą wcwidth(3) i
wcswidth(3). Udostępnia także funkcję odpowiadającą mblen(3).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Text/CharWidth.pm
%dir %{perl_vendorarch}/auto/Text/CharWidth
%attr(755,root,root) %{perl_vendorarch}/auto/Text/CharWidth/CharWidth.so
%{_mandir}/man3/Text::CharWidth.3pm*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-CharWidth.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> bcf75d9
- rebuild with perl 5.32

* Sat Feb 15 2020 Jakub Bogusz <qboosh@pld-linux.org> afb4c75
- macros >= 1.745 for always enabled perlprov

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 964de76
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> d685e15
- rebuild with perl 5.30.0
- release 17 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> e8a9b3f
- rebuild with perl 5.28.0
- release 16 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 574475e
- perl req/prov fix
- release 15 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> df991a2
- rebuild with perl 5.26
- release 14 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> b65fde2
- rebuild with perl 5.24.0
- release 13 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> fb1c6ea
- release 12 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> f49f152
- x32 rebuild
- release 11 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 69181f9
- x32 rebuild
- release 10 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 44c9759
- release 9 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 4a258a7
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 58af7f9
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c739cf5
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 6e408b4
- rel 6

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 528d2d9
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a3af0a4
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 28b010d
- release 3

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 3852c05
- generic URL

